Package mvpa :: Package clfs :: Module meta :: Class SplitClassifier

[hide private]
[frames] | no frames]

# Class SplitClassifier

source code

BoostedClassifier to work on splits of the data

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, clf, splitter=NFoldSplitter(cvtype=1), **kwargs) Initialize the instance | source code

_train(self, dataset) Train SplitClassifier | source code

getSensitivityAnalyzer(self, slave_kwargs, **kwargs) Return an appropriate SensitivityAnalyzer for SplitClassifier | source code

Inherited from `CombinedClassifier`: `__repr__`, `summary`, `untrain`

Inherited from `CombinedClassifier` (private): `_predict`

Inherited from `BoostedClassifier` (private): `_getFeatureIds`, `_posttrain`, `_setClassifiers`

Inherited from `base.Classifier`: `__str__`, `clone`, `isTrained`, `predict`, `repredict`, `retrain`, `train`, `trained`

Inherited from `base.Classifier` (private): `_postpredict`, `_prepredict`, `_pretrain`, `_regressionIsBogus`, `_setRetrainable`

Inherited from `misc.state.Harvestable` (private): `_harvest`, `_setAttribs`

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__setattr__`, `reset`

Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| confusion = `StateVariable(enabled= False, doc= "Resultant conf`...``
| splits = `StateVariable(enabled= False, doc= """Store the actua`...``
| splitter = `property(fget= lambda x: x.__splitter, doc= "Splitt`...``

Inherited from `CombinedClassifier`: `combiner`

Inherited from `BoostedClassifier`: `clfs`, `raw_predictions`, `raw_values`

Inherited from `base.Classifier`: `_DEV__doc__`, `feature_ids`, `predicting_time`, `predictions`, `regression`, `retrainable`, `trained_dataset`, `trained_labels`, `trained_nsamples`, `training_confusion`, `training_time`, `values`

Inherited from `base.Classifier` (private): `_clf_internals`

Inherited from `misc.state.Harvestable`: `harvest_attribs`, `harvested`

Inherited from `misc.state.Harvestable` (private): `_KNOWN_COPY_METHODS`

Inherited from `misc.state.ClassWithCollections`: `descr`

Instance Variables | [hide private]

| __clf Store sample instance of basic classifier

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, clf, splitter=NFoldSplitter(cvtype=1), **kwargs)
(Constructor)

source code

Initialize the instance

Parameters:
  - `clf` (Classifier) - classifier based on which multiple classifiers are created for multiclass
  - `splitter` (Splitter) - Splitter to use to split the dataset prior training
Overrides: object.__init__

### _train(self, dataset)

source code

Train SplitClassifier

Overrides: base.Classifier._train

### getSensitivityAnalyzer(self, slave_kwargs, **kwargs)

source code

Return an appropriate SensitivityAnalyzer for SplitClassifier

Parameters:
  - `combiner` - If not provided, FirstAxisMean is assumed
Decorators:
  - `@group_kwargs(prefixes= ['slave_'], passthrough= True)`
Overrides: base.Classifier.getSensitivityAnalyzer

Class Variable Details | [hide private]

### confusion

Value:

      StateVariable(enabled= False, doc= "Resultant confusion whenever class
      ifier trained "+ "on 1 part and tested on 2nd part of each split")

### splits

Value:

      StateVariable(enabled= False, doc= """Store the actual splits of the d
      ata. Can be memory expensive""")

### splitter

Value:

      property(fget= lambda x: x.__splitter, doc= "Splitter user by SplitCla
      ssifier")